Java-Gaming.org Hi !
Featured games (83)
games approved by the League of Dukes
Games in Showcase (538)
Games in Android Showcase (132)
games submitted by our members
Games in WIP (600)
games currently in development
News: Read the Java Gaming Resources, or peek at the official Java tutorials
 
    Home     Help   Search   Login   Register   
Pages: [1]
  ignore  |  Print  
  undefined symbol: gluBuild1DMipmapLevels  (Read 2290 times)
0 Members and 1 Guest are viewing this topic.
Offline lamere

Junior Newbie




I love YaBB 1G - SP1!


« Posted 2003-06-27 10:35:50 »

I'm having a bit of trouble running the jogl demos and I am looking for some help.

When I try to run the gears demo I get the following:

java -Djava.library.path=/home/paul/work/jogl/jogl/build/obj
/ demos.gears.Gears
Exception in thread "main" java.lang.UnsatisfiedLinkError: /home/paul/work/jogl/
jogl/build/obj/libjogl.so: /home/paul/work/jogl/jogl/build/obj/libjogl.so: undef
ined symbol: gluBuild1DMipmapLevels
       at java.lang.ClassLoader$NativeLibrary.load(Native Method)
       at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1560)


My classpath is this:
.:/home/paul/work/antlr/antlr-2.7.2/antlr.jar:/home/paul/work/jogl/jogl/build/classes:/home/paul/work/jogl/jogl-demos/build/classes

I am using java  version "1.4.2-beta"


on red hat linux 7.2

Any help would be appreciated.

Thanks

Paul

Offline wz

Senior Newbie




Linux sucks!


« Reply #1 - Posted 2003-06-27 13:33:39 »

I am using RH Linux 7.2 and have the same problem.

wz
Offline Ken Russell

JGO Coder




Java games rock!


« Reply #2 - Posted 2003-07-03 05:55:00 »

We've only tested Jogl on Red Hat 7.3 which probably contains a more recent version of the GLU library. Nonetheless, today's checkin, which causes the GLU routines to be looked up dynamically instead of being statically linked, should improve the behavior. Note the prebuilt binaries were made on 7.3 so they aren't guaranteed to work on 7.2.
Games published by our own members! Check 'em out!
Legends of Yore - The Casual Retro Roguelike
Offline lamere

Junior Newbie




I love YaBB 1G - SP1!


« Reply #3 - Posted 2003-07-03 09:28:30 »

Smiley Woohoo - the new build works with RH 7.2. Thanks much!

Paul
Offline wz

Senior Newbie




Linux sucks!


« Reply #4 - Posted 2003-07-03 17:39:29 »

I built it on RH 7.2 and it worked! Thanks! Grin

wz
Pages: [1]
  ignore  |  Print  
 
 
You cannot reply to this message, because it is very, very old.

 

Add your game by posting it in the WIP section,
or publish it in Showcase.

The first screenshot will be displayed as a thumbnail.

rwatson462 (29 views)
2014-12-15 09:26:44

Mr.CodeIt (20 views)
2014-12-14 19:50:38

BurntPizza (40 views)
2014-12-09 22:41:13

BurntPizza (75 views)
2014-12-08 04:46:31

JscottyBieshaar (37 views)
2014-12-05 12:39:02

SHC (50 views)
2014-12-03 16:27:13

CopyableCougar4 (47 views)
2014-11-29 21:32:03

toopeicgaming1999 (113 views)
2014-11-26 15:22:04

toopeicgaming1999 (100 views)
2014-11-26 15:20:36

toopeicgaming1999 (30 views)
2014-11-26 15:20:08
Resources for WIP games
by kpars
2014-12-18 10:26:14

Understanding relations between setOrigin, setScale and setPosition in libGdx
by mbabuskov
2014-10-09 22:35:00

Definite guide to supporting multiple device resolutions on Android (2014)
by mbabuskov
2014-10-02 22:36:02

List of Learning Resources
by Longor1996
2014-08-16 10:40:00

List of Learning Resources
by SilverTiger
2014-08-05 19:33:27

Resources for WIP games
by CogWheelz
2014-08-01 16:20:17

Resources for WIP games
by CogWheelz
2014-08-01 16:19:50

List of Learning Resources
by SilverTiger
2014-07-31 16:29:50
java-gaming.org is not responsible for the content posted by its members, including references to external websites, and other references that may or may not have a relation with our primarily gaming and game production oriented community. inquiries and complaints can be sent via email to the info‑account of the company managing the website of java‑gaming.org
Powered by MySQL Powered by PHP Powered by SMF 1.1.18 | SMF © 2013, Simple Machines | Managed by Enhanced Four Valid XHTML 1.0! Valid CSS!